Bug 817086 - mesa-8.1-0.1.fc18 is FTBFS on ARM
mesa-8.1-0.1.fc18 is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-04-27 12:10 EDT by Peter Robinson
Modified: 2012-05-07 00:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: gcc-4.7.0-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 04:13:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.out file (324.18 KB, text/plain)
2012-04-27 12:24 EDT, Dennis Gilmore
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 53187 None None None Never

  None (edit)
Description Peter Robinson 2012-04-27 12:10:05 EDT
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=767246

gcc -c -I. -I../../../../src/gallium/include -I../../../../src/gallium/auxiliary -I../../../../src/gallium/drivers  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-strict-aliasing -fno-builtin-memcmp -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  -fPIC   -D_GNU_SOURCE -DPTHREADS -DHAVE_POSIX_MEMALIGN -DMESA_SELINUX -DIN_DRI_DRIVER -DUSE_XCB -DGLX_INDIRECT_RENDERING -DGLX_DIRECT_RENDERING -DUSE_EXTERNAL_DXTN_LIB=1 -DIN_DRI_DRIVER -DHAVE_ALIAS -DHAVE_MINCORE -DHAVE_LIBUDEV -DHAVE_LLVM=0x0300 -fvisibility=hidden -I/usr/include   -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS lp_test_arit.c -o lp_test_arit.o
lp_test_arit.c: In function 'test_all':
lp_test_arit.c:301:1: internal compiler error: in arm_select_dominance_cc_mode, at config/arm/arm.c:11544
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccQdXNNj.out file, please attach this to your bugreport.
gmake[4]: *** [lp_test_arit.o] Error 1
gmake[4]: *** Waiting for unfinished jobs....
Comment 1 Dennis Gilmore 2012-04-27 12:24:13 EDT
Created attachment 580815 [details]
.out file

here is the .out file from the builder
Comment 2 Adam Jackson 2012-04-27 15:32:55 EDT
"internal compiler error" is gcc not mesa.
Comment 3 Jakub Jelinek 2012-05-02 04:13:22 EDT
Tracking this upstream: PR53187
Comment 4 Fedora Update System 2012-05-02 13:37:55 EDT
gcc-4.7.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gcc-4.7.0-3.fc17
Comment 5 Fedora Update System 2012-05-07 00:17:19 EDT
gcc-4.7.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.